//===============================================================================
// Copyright 2010 Alachisoft.  All rights reserved.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;

namespace NCacheLINQ.Business
{
    /// <summary>
    /// Summary description for Product.
    /// </summary>
    [Serializable]
    public class Product
    {
        private int _productID;
        private string _productName;
        private int _supplier;
        private int _category;
        private int _unitsAvailable;

        /// <summary>
        /// Get/Set the ProductID.
        /// </summary>
        public int ProductID
        {
            get { return _productID; }
            set { _productID = value; }
        }

        /// <summary>
        /// Get/Set the ContactName.
        /// </summary>
        public int Supplier
        {
            get { return _supplier; }
            set { _supplier = value; }
        }

        /// <summary>
        /// Get/Set the CompanyName.
        /// </summary>
        public string ProductName
        {
            get { return _productName; }
            set { _productName = value; }
        }


        /// <summary>
        /// Get/Set the City.
        /// </summary>
        public int Category
        {
            get { return _category; }
            set { _category = value; }
        }

        /// <summary>
        /// Get/Set the Country.
        /// </summary>
        public int UnitsAvailable
        {
            get { return _unitsAvailable; }
            set { _unitsAvailable = value; }
        }
    }
}
